Bug 268903 - Stack overflow in remote file system
Stack overflow in remote file system
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-09 09:01 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack (10.92 KB, text/plain)
2016-11-09 09:01 UTC, Vladimir Kvashin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-09 09:01:10 UTC
Created attachment 162840 [details]
Stack

This happend with Ilia when playing subversion. We were not able to repeat. However the stack shows that there is a flaw in RemoteDirectory.updateChildren() - RemoteDirectory.isPendingDelivery() that leads to this possible stack overflow.

 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.updateChildren(RemoteDirectory.java:1190)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorageImpl(RemoteDirectory.java:1151)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorage(RemoteDirectory.java:533)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getFileObject(RemoteDirectory.java:410)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.isPendingDelivery(RemoteDirectory.java:1162)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.updateChildren(RemoteDirectory.java:1190)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorageImpl(RemoteDirectory.java:1151)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorage(RemoteDirectory.java:533)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getFileObject(RemoteDirectory.java:410)
 at org.netbeans.modules.remote.impl.fs.RemoteDirectory.isPendingDelivery(RemoteDirectory.java:1162)
...
Comment 1 Vladimir Kvashin 2016-11-10 11:52:14 UTC
fixed on enum/r82, change sets: 61c4aa33186a and b43e12b2f858
Comment 2 Quality Engineering 2016-11-16 02:51:25 UTC
Integrated into 'main-silver', will be available in build *201611160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/470738ab7be9
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268903 - Stack overflow in remote file system
(transplanted from 61c4aa33186aa7368813089973c87a2fcc980b2e)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo